use inc::Module::Install;

perl_version '5.008008';

name 'make-world';
license 'gpl3';

all_from 'src/make-world';

install_script 'src/make-world';

template_install_path;
cpanfile;

use Cwd;
use File::Spec::Functions qw[ catdir ];

my $cwd = getcwd;

makemaker_args(
	 INST_ARCHLIB => catdir( $cwd, qw[ blib arch] ),
	 INST_LIB     => catdir( $cwd, qw[ blib lib] ),
	 INST_BIN     => catdir( $cwd, qw[ blib bin] ),
	 INST_SCRIPT  => catdir( $cwd, qw[ blib script] ),
	 INST_MAN1DIR => catdir( $cwd, qw[ blib man1] ),
	 INST_MAN3DIR => catdir( $cwd, qw[ blib man3] ),
	 );

WriteAll;
